Subject: Re: Last minute python-team fixes: help needed!

From: 宋文武 <[email-masked]>
Date: Tue, 14 Jan 2025 10:38:36 +0800

Ricardo Wurmus <[email-masked]> writes:

> Hi,
>
> I've spent the last weeks whipping the python-team branch into shape,
> but I'm running out of steam.  There are still a number of failures, and
> I'm about to lose motivation to continue fixing the remaining build
> failures.

Thank you for the work!

> Here are some of the failures that may be of interest:
>
>   ansible
>   python-libcst (needs rust)
>   python-pandas 1.5
>   python-pytorch 2.0.1
>   python-django-q
>   python-pyodbc-c (3.1.5 fails with: undefined symbol: PyUnicode_GetMax)
>   python-agate (whole wireservice module needs upgrades)
>
> I won't be working on these packages.  Instead I'll focus on preparing
> the guix-science channel for the merge.  Please view the dashboard for
> the latest evaluation of python-team at
> https://ci.guix.gnu.org/jobset/python-team to see if you could
> contribute fixes for the remaining failures.  Thanks!

I can contribute some fixes today, it seems many failures are due to
missing python-setuptools and python-wheel in its native-inputs when
using the pyproject-build-system.